summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Cummings <mcummings@gentoo.org>2005-04-29 00:54:37 +0000
committerMichael Cummings <mcummings@gentoo.org>2005-04-29 00:54:37 +0000
commit4aca0e1fe7bb180350f8bd0b7a1398fd54ac0d33 (patch)
tree4bdf0b2269d3972bbf6174bfeb9faffb404d04ad /eclass/perl-module.eclass
parentfix m4 warnings (diff)
downloadgentoo-2-4aca0e1fe7bb180350f8bd0b7a1398fd54ac0d33.tar.gz
gentoo-2-4aca0e1fe7bb180350f8bd0b7a1398fd54ac0d33.tar.bz2
gentoo-2-4aca0e1fe7bb180350f8bd0b7a1398fd54ac0d33.zip
maketest
Diffstat (limited to 'eclass/perl-module.eclass')
-rw-r--r--eclass/perl-module.eclass25
1 files changed, 15 insertions, 10 deletions
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index 7f1914467602..c5c604096d37 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.67 2005/03/14 18:28:04 mcummings Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.68 2005/04/29 00:54:37 mcummings Exp $
#
# Author: Seemant Kulleen <seemant@gentoo.org>
# Maintained by the Perl herd <perl@gentoo.org>
@@ -15,6 +15,13 @@ EXPORT_FUNCTIONS pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm \
src_compile src_install src_test \
perlinfo updatepod
+# 2005.04.28 mcummings
+# Mounting problems with src_test functions has forced me to make the
+# compilation of perl modules honor the FEATURES maketest flag rather than what
+# is generally necessary. I've left a block to make sure we still need to set
+# the SRC_TEST="do" flag on the suspicion that otherwise we will face 10 times
+# as many bug reports as we have lately.
+
# 2004.05.10 rac
# block on makemaker versions earlier than that in the 5.8.2 core. in
# actuality, this should be handled in the perl ebuild, so every perl
@@ -100,18 +107,16 @@ perl-module_src_compile() {
make ${mymake} || die "compilation failed"
fi
- if [ "${SRC_TEST}" == "do" ]; then
- perl-module_src_test || die "test failed"
- SRC_TEST="done"
- fi
}
perl-module_src_test() {
- perlinfo
- if [ -z ${BUILDER_VER} ]; then
- make test
- else
- perl ${S}/Build test
+ if [ "${SRC_TEST}" == "do" ]; then
+ perlinfo
+ if [ -z ${BUILDER_VER} ]; then
+ make test || die "test failed"
+ else
+ perl ${S}/Build test || die "test failed"
+ fi
fi
}